expeyes (5.3.3+repack-2) unstable; urgency=medium

  * merged Carles Pina i Estany's translations, thanks! Closes: #1104103

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Apr 2025 15:58:32 +0200

expeyes (5.3.3+repack-1) unstable; urgency=medium

  * dependency change: libjs-bootstrap -> libjs-bootstrap5. Closes: #1088452
  * New upstream version 5.3.3+repack, which takes bootstrap5 in account
  * removed the patch syntax-warning.patch, which was applied upstream

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 03 Dec 2024 17:54:17 +0100

expeyes (5.3.1+repack-9) unstable; urgency=medium

  * fixed invalid escapes in pyton sources; Closes: #1085572
  * fixed non-parenthesized print functions

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Oct 2024 00:06:30 +0200

expeyes (5.3.1+repack-8) unstable; urgency=medium

  * new build-dependency: python3-setuptools. Closes: #1080947

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Sep 2024 17:03:01 +0200

expeyes (5.3.1+repack-7) UNRELEASED; urgency=medium

  * Fixed the missing semicolon after Closes

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Mar 2024 17:16:08 +0100

expeyes (5.3.1+repack-6) unstable; urgency=medium

  * added the build-dependency pyqt6-dev-tools; Closes: #1064682
  * bumped Standards-Version: 4.6.2
  * moved some dependencies to recommendations for eyes17 package

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2024 11:32:22 +0100

expeyes (5.3.1+repack-5) unstable; urgency=medium

  * removed autopkgtests for armel, ppc64el, s390x

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Feb 2024 11:11:55 +0100

expeyes (5.3.1+repack-4) unstable; urgency=medium

  * created some conditional dependencies for eyes17, on
    python3-pyqt6.qtwebengine [!armel, !ppc64el, !s390x]

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 16 Feb 2024 19:30:40 +0100

expeyes (5.3.1+repack-3) unstable; urgency=medium

  * modified a Makefile to make the package reproducible upon rebuild
  * re-enable reprotest during CI

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jan 2024 22:54:57 +0100

expeyes (5.3.1+repack-2) unstable; urgency=medium

  * improved the clean target. Closes: #1044720
  * added autopkgtests. Closes: #1035119 

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 18 Jan 2024 18:01:54 +0100

expeyes (5.3.1+repack-1) unstable; urgency=medium

  * New upstream version 5.3.1+repack
    + use graphicsmagick instead of img2pdf to build PDF files for the manuals
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Nov 2023 11:56:07 +0100

expeyes (5.3.0+repack-5) UNRELEASED; urgency=medium

  * use graphicsmagick instead of img2pdf to build PDF files for the manuals

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Nov 2023 10:45:26 +0100

expeyes (5.3.0+repack-4) unstable; urgency=medium

  [Helmut Grohne]
  * Do not ship empty directories /{etc,lib}/udev/rules.d. Closes: #1041755
  [Georges Khaznadar]
  * got Helmut's changes, thanks!

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 25 Jul 2023 10:50:08 +0200

expeyes (5.3.0+repack-3) unstable; urgency=medium

  * added Ceppo's Italian translation. Closes: #1032079
  * clean broken symlinks under eyesjunior/helpFiles. Closes: #986480

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 27 Feb 2023 19:34:03 +0100

expeyes (5.3.0+repack-2) unstable; urgency=medium

  * removed the dependency eyes17 => qt6-qpa-plugins. Closes: #1026955

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 24 Dec 2022 18:36:08 +0100

expeyes (5.3.0+repack-1) unstable; urgency=medium

  * New upstream version 5.3.0+repack
  * merged changes in d/control proposed by Janitor
  * replaced http by https in homepage's URL as suggested by Janitor
  * added eyes17/blockly into the clause Files-Excluded because of non-free
    contents
  * patched blockcoding.py to show a warning message when the non-free
    package eyes17-blockly-plugin is missing, and one requests it.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 28 Nov 2022 17:25:08 +0100

expeyes (5.2.5+repack-1) unstable; urgency=medium

  * New upstream version 5.2.5+repack : fix the desktop file for eyes17-manuals

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Nov 2022 19:07:17 +0100

expeyes (5.2.4+repack-1) unstable; urgency=medium

  * fixed the install of eyes17's manuals
  * New upstream version 5.2.4+repack
  * fixed d/eyes17.install

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Nov 2022 19:19:22 +0100

expeyes (5.2.3+repack-1) UNRELEASED; urgency=medium

  * enforced python3 for expeyes and expeyes-junior
  * New upstream version 5.2.3+repack

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 14 Nov 2022 18:02:21 +0100

expeyes (5.2.2+repack-2) unstable; urgency=medium

  * fixed an error in eyes17.install, about missing the file status.txt
    for languages.
  * added a build-depedndency: qttools5-dev-tools

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2022 10:53:49 +0100

expeyes (5.2.2+repack-1) unstable; urgency=medium

  * New upstream version 5.2.2+repack: no import of obsoleted USE_PYSIDE

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2022 10:19:44 +0100

expeyes (5.2.1+repack-1) unstable; urgency=medium

  * New upstream version 5.2.1+repack
  * refreshed the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 02 Oct 2022 18:05:21 +0200

expeyes (5.1.1+repack-2) unstable; urgency=medium

  * added python3-pygments as a build-dependency.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Jul 2022 12:45:12 +0200

expeyes (5.1.1+repack-1) unstable; urgency=medium

  * New upstream version 5.1.1+repack
  * refreshed the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Jul 2022 11:01:19 +0200

expeyes (5.1+repack-1) unstable; urgency=medium

  * New upstream version 5.1+repack
  * updated the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 21 Jul 2022 15:53:57 +0200

expeyes (5.0+repack-3) experimental; urgency=medium

  * the package eyes17 does no longer ship user manuals,
    which will be built in a separate package: eyes17-manuals
  * modified the main Makefile to build no longer eyes17's user manuals

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 20 Jul 2022 19:30:56 +0200

expeyes (5.0+repack-2) experimental; urgency=medium

  * fixed the installation of manuals which does not work in test-build-any
  * moved python3-pyqtgraph to recommends.
  * added "Suggests: eyes17-manuals" (for a future package providing manuals)

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 20 Jul 2022 14:46:12 +0200

expeyes (5.0+repack-1) experimental; urgency=medium

  * New upstream version 5.0+repack
  * removed previous release's debian patches as they were applied upstream
  * fixed the generation of plain HTML files

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Jul 2022 19:15:04 +0200

expeyes (4.99+repack-1) experimental; urgency=medium

  * New upstream version 4.99+repack
    + migration to Qt6 & non-exhaustive bug fixes
  * Added build-dependencies: locales, pyqt6-dev-tools, qmake6,
    python3-sphinx, texlive-binaries, texlive-xetex, texgyre, latexmk,
    dvipng, librsvg2-bin, graphicsmagick,
    texlive-fonts-recommended, texlive-fonts-extra, fonts-smc-rachana
  * Modified eyes17's dependencies, introducing new ones: python3-pyqt6,
    python3-pyqt6.qtwebchannel,  python3-pyqt6.qtwebengine,
    libqt6webenginecore6-bin,  python3-pyqt6.qtsvg, qt6-qpa-plugins
  * Bumped Standards-Version: 4.6.1
  * fixed the options for babel in prettyLatex.py
  * modified the way to convert PNG files to PDF (use `gm convert` now on)
  * fixed syntax errors in eyes17/RLCsteadystate.py
  

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Jul 2022 20:02:29 +0200

expeyes (4.9.2+repack-3) unstable; urgency=medium

  * fixed float values which were fed into QPoint's constructor

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Jul 2022 18:25:34 +0200

expeyes (4.9.2+repack-2) unstable; urgency=medium

  * fixed layout issues for eyes17
  * fixed conflicts between packages expeyes and expeyes-doc-common

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Mar 2022 18:57:41 +0100

expeyes (4.9.2+repack-1) unstable; urgency=medium

  * New upstream version 4.9.2+repack. Closes: #1006902

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 25 Mar 2022 11:43:24 +0100

expeyes (4.9.0+repack-1) UNRELEASED; urgency=medium

  * New upstream version 4.9.0+repack. Closes: #1006902
  * fixed debian/rules: erased a useless rm command
  * use img2pdf instead of imagemagick to convert images
  * bumped standards
  * modified install files, as dh_missing was complaining about many
    files incorrectly managed.
  * reorganized install files since binary packages for documents are no
    longer separated.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 20 Mar 2022 19:00:05 +0100

expeyes (4.8.10+repack-1) UNRELEASED; urgency=medium

  * new upstream version: fixes eyes/*.py files to use Python3
    Closes: #1006902

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 19 Mar 2022 19:51:11 +0100

expeyes (4.8.8+repack-2) unstable; urgency=medium

  * removed clauses conflicting with modemmanager. Closes: #990489
  * replaced calls to "service" by calls to "invoke-rc.d", thanks to
    Andreas Beckman's hint.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 01 Jul 2021 10:50:55 +0200

expeyes (4.8.8+repack-1) unstable; urgency=medium

  * new upstream changes
  * removed stale symlinks
  * restored documentation files in the upstream archive
  * made the clean target less agressive

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Apr 2021 15:39:18 +0200

expeyes (4.8.7+repack-5) unstable; urgency=medium

  * included Camaleón's translation for po-debconf files, thanks!
    Closes: #987479
  * added a command in d/rules to remove broken symlinks. Closes: #986480
  * removed python doctrees and .gitignore files from the package
    (warned by lintian)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Apr 2021 18:41:30 +0200

expeyes (4.8.7+repack-4) unstable; urgency=medium

  * defined a conflict between packages eyes17 and older python-expeyes

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 10 Dec 2020 16:45:11 +0100

expeyes (4.8.7+repack-3) unstable; urgency=medium

  * downgraded dependencies on avr-libc and avrdude to recommendations,
    for package microhope. Maybe so the package expeyes would no longer be
    marked for autoremoval?

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 28 Aug 2020 12:35:38 +0200

expeyes (4.8.7+repack-2) unstable; urgency=medium

  * patched the Makefile to verify whether Makefiles exist
    before calling their make targets, to prevent FTBFS on architecture
    "all"

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Aug 2020 16:31:46 +0200

expeyes (4.8.7+repack-1) unstable; urgency=medium

  * added a dependency microhope --> python3-serial
  * New upstream version 4.8.7+repack: improved initialization of
    the local microhope directory, management of a configuration file.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Aug 2020 16:54:02 +0200

expeyes (4.8.6+repack-1) experimental; urgency=medium

  * New upstream version 4.8.6+repack
  * new binaries for microhope, which do no longer use libgtk2;
    removed the build-dependency on that library;
    added a build-dependency on wxglade;
    set "Architecture: all" for package microhope;
    #Closes: #967332
  * modification of the path to microhope's local directory:
    ~/microhope --> ~/.local/share/microhope
  * html files in eyesjunior/helphiles are now pre-built

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 20 Aug 2020 16:00:36 +0200

expeyes (4.8.4+repack-3) unstable; urgency=medium

  * replaced "Suggests: phoenix-firmware" by "Suggests: firm-phoenix-ware"
    the reason is documented inside a discussion archived int the mailing list
    debian-live@lists.debian.org, near mid-August.
  * dropped the build-dependency on *avr*, since the firmware is no longer
    issued from this source package

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 15 Aug 2020 19:09:37 +0200

expeyes (4.8.4+repack-2) unstable; urgency=medium

  * it was necessary to make a source-only upload, while the package which
    removes on binary package from its control file was supposed to enter
    the NEW queue

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 10 Aug 2020 23:49:14 +0200

expeyes (4.8.4+repack-1) unstable; urgency=medium

  * new upstream release: provides pre-build html help files
  * cancelled the binary package expeyes-firmware-dev, now suggestions go
    to the new package phoenix-firmware which is in Debian's archive

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Aug 2020 14:47:52 +0200

expeyes (4.8.1+repack-2) unstable; urgency=medium

  * fixed missing file in d/eyes17.install

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 29 Jul 2020 16:53:00 +0200

expeyes (4.8.1+repack-1) unstable; urgency=medium

  * New upstream version 4.8.1+repack; provides a better management of
    screen shots for eyes17.
  * new files installed for microhope
  * defined a build-dependency on debhelper-compat (=12), removed d/compat
  * bumped Standards-Version: 4.5.0

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 29 Jul 2020 16:15:15 +0200

expeyes (4.8.0+repack-1) unstable; urgency=medium

  * New upstream version 4.8.0+repack; adds new features:
    - better export for screenshots
    - screenshots can be exported via a network socket
    - an extension for libreoffice is provided
  * Added one line in d/eyes17.install to create the LibreOffice
    extension at root level.
  * Added Recommends: libreoffice for the package eyes17
  * fixed a bug in eyes17/server.py
  * added a line in d/eyes17.install to take in account eyes17/server.html

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 28 Jul 2020 15:43:35 +0200

expeyes (4.7.9+repack-1) unstable; urgency=medium

  * New upstream version 4.7.9+repack
  * remoed the unnecessary debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 May 2020 20:01:43 +0200

expeyes (4.7.8+repack-1) unstable; urgency=medium

  * New upstream version 4.7.8+repack
  * consider an absolute path to lang/status.txt
  * added lang/status.txt to d/eyes17.install

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 07 May 2020 16:52:15 +0200

expeyes (4.7.7+repack-1) unstable; urgency=medium

  * New upstream version 4.7.7+repack
  * __pycache__ directories are cleaned after the build.
    Closes: #955675
  * New feature : printable screenshots generated automatically; modified
    d/eyes17.install to include the new module
  * The credits help file is no longer missing

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Apr 2020 16:09:19 +0200

expeyes (4.7.6+repack-1) unstable; urgency=medium

  * added a conflicts clause from eyes17 to eyes17 (<< 4.5.8+dfsg-2)
  * New upstream version 4.7.6+repack

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Mar 2020 15:45:42 +0200

expeyes (4.7.5+repack-1) unstable; urgency=medium

  * New upstream version 4.7.5+repack

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 14 Mar 2020 18:27:47 +0100

expeyes (4.7.4+repack-1) UNRELEASED; urgency=medium

  * New upstream version 4.7.4
  * modified the system to exclude files from the source package
  * added build directories to excludes
  * removed one line, so Files-Ecluded comes first
  * specified another format for d/copyright
  * fixed two excludes
  * attributed some transations to their authors

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 14 Mar 2020 14:48:15 +0100

expeyes (4.7.2-2) unstable; urgency=medium

  * added missing dependencies eyes17 -> python3-serial and
    python3-pyqt5.qtsvg; thanks, Ajith Kumar, for raising the bug.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 Mar 2020 17:39:29 +0100

expeyes (4.7.2-1) unstable; urgency=medium

  * New upstream version: improved debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 06 Mar 2020 08:26:43 +0100

expeyes (4.7.1-1) unstable; urgency=medium

  * new upstream release
  * made changes in d/rules to better separate arch and arc-indep builds
  * added a build-dependency on python3-docutils
  * added suggests clauses: expeyes -> expeyes-firmware and
    microhope -> expeyes-firmware

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 05 Mar 2020 19:00:17 +0100

expeyes (4.6.3-1) unstable; urgency=medium

  * new upstream release. Improved the generation of help HTML files
    for eyes17, to avoid redundent files
  * added a Conflicts: clause. eyes17 -> python3-expeyes (<< 4.6.1-2)
    Closes: #952751

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 29 Feb 2020 00:32:11 +0100

expeyes (4.6.2-1) unstable; urgency=medium

  * included bug fixes made by Jithin B.P.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 19 Feb 2020 19:22:03 +0100

expeyes (4.6.1-3) unstable; urgency=medium

  * fixed a bug reported by Jithin B.P. : float used instead of a string
    to reference a .rst file name

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Feb 2020 20:06:32 +0100

expeyes (4.6.1-2) unstable; urgency=medium

  * changed the destination of some python modules, so
    eyes17 goes to the eyes17 package. This fixes the bug reported By
    Ajith Kumar.
  * upgraded recommends for eyes17 to dependencies, as asked by Jithin B.P.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Feb 2020 19:23:08 +0100

expeyes (4.6.1-1) unstable; urgency=medium

  * new upstream version; fix the translation issues with topmost menus
    the first set of submenus
  * reverted the package microhope to "any" architecture
  * defined a few additional lintian overrides
  * restricted a little bit the files installed in /usr/share/eyes17/layouts

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Feb 2020 14:10:52 +0100

expeyes (4.6.0-3) experimental; urgency=medium

  * modified the main Makefile to build microhope as an
    architecture-independant package

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Feb 2020 19:22:59 +0100

expeyes (4.6.0-2) experimental; urgency=medium

  * changed the target of the package microhope from "any" to "all" since
    compiled fioles are not for the local architecture, but for AVR chips.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Feb 2020 17:48:05 +0100

expeyes (4.6.0-1) unstable; urgency=medium

  * New upstream release
  * adds many improvements, like the advanced data logger
  * fixed an error regarding the path to images

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Feb 2020 13:17:22 +0100

expeyes (4.6.0~rc1-1) unstable; urgency=medium

  * new tree under ExpEyes17/UserManual/ml for Malayalam language
  * added the UNTRANSLATED line to untranslated ml RST files
  * set language='ml' for Sphinx' configuration
  * ignoring more files in ExpEyes17/UserManual/.gitignore
  * added copyright information about es and ml translations
  * added Amal's translations published the 2nd February

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 03 Feb 2020 18:08:51 +0100

expeyes (4.5.9+dfsg-1) unstable; urgency=medium

  * changes to use Python3 and wxGtk4 in package microhope.
    Closes: #936497

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 19 Jan 2020 18:10:42 +0100

expeyes (4.5.8+dfsg-2) unstable; urgency=medium

  * modified the way used to manage the udev rules file.
  * removed the line to install 99-phoenix.rules in
    debian/{python3-expeyes|microhope|eyes17}.install
  * created the script eyes_udev.sh which does the same job in a consistent
    way; this script is installed in every package which will use it.
  * edited postinst and prerm file for python3-expeyes, microhope and eyes17,
    to use this script.
  * removed the dependency from microhope and eyes17 to python3-expeyes.
  * defined lintian-overrides for eyes17's files generated by Sphinx.
  * taken care of executable files of pdf files.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Jan 2020 18:16:44 +0100

expeyes (4.5.8+dfsg-1) unstable; urgency=medium

  * introduced two new languages
  * removed a useless file
  * take in account on-the-fly language change

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 09 Jan 2020 17:42:27 +0100

expeyes (4.5.7+dfsg-1) unstable; urgency=medium

  * new upstream version
  * updated the French translations

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 26 Nov 2019 20:11:26 +0100

expeyes (4.5.6+dfsg-2) unstable; urgency=medium

  * changed the dependency for microhope, upgraded python-wxgtk3.0,
    to python3-wxgtk4.0. Closes: #936497

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Oct 2019 18:28:42 +0200

expeyes (4.5.6+dfsg-1) unstable; urgency=medium

  * New upstream version: Ajith's fix to enable calibration

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 Oct 2019 19:06:36 +0200

expeyes (4.5.5+dfsg-1) unstable; urgency=medium

  * imported Ajith's changes: new I2C peripherals are supported,
    calibration loader is fixed
  * added the subdirectory eyes17/layouts to eyes17.install

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Sep 2019 17:09:26 +0200

expeyes (4.5.4+dfsg-1) unstable; urgency=medium

  * new upstream release
  * added a Spanish l12n file
  * removed a dependency on python-configparser; the backport is no longer
    useful as python2 is removed. Closes: #936497

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 27 Aug 2019 15:54:49 +0200

expeyes (4.5.3+dfsg-1) UNRELEASED; urgency=medium

  * new parser
  * moved the (c) at the begin of a line, which fools rst2dokuwiki.py
  * documented the command
  * moved the (c) at the begin of a line, which fools rst2dokuwiki.py
  * ignore a computed directory
  * aulaslibres2rst.py ok
  * added a shebang
  * removed a useless command
  * modified the response to better comply with the data structure
  * removed generated files
  * remove generated files
  * fixed an error with the new features of regexp substitution in Python3
  * ignore more files
  * reverted the modification which should be done upstream!
  * ignore more files
  * deleted generated files
  * deleted generated files
  * ignore more files
  * fixed an error with the new features of regexp substitution in Python3
  * fixed a problem with a regexp
  * began the Spanish translation, with Bibiana Boccolini's help
  * deleted generated files
  * deleted generated files
  * deleted generated files
  * ignore more files
  * one translation more
  * fixed two issues: the title page, and low-res images
  * removed files generated under en/rst/qt5HTML
  * removed files generated under qt5HTML/
  * merged Bibiana Boccolini's translations
  * fixed many little typos
  * Bibiana's translations, once more
  * improved the localization
  * translation by GK, to be reviewed by BB
  * many cosmetic changes
  * ignore files generated by latex
  * included the last translations by Bibiana Boccomini
  * little fixes
  * added Spanish translations in upstream branch
  * other changes for eyes17's user manual
  * simplified a clean rule
  * fixed missing libraries
  * fixed an error due to data being a packed list
  * deleted unused debian patches
  * remove ignored files
  * added a 'clean' target to allow one to keep generated documents
  * added pdf user manuals for eyes17
  * added epub user manuals for eyes17
  * added html user manuals for eyes17
  * mitigated the clean target in main Makefile
  * updated the line numbers in fr.ts
  * updated source lintian-overrides

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 27 Aug 2019 15:05:03 +0200

expeyes (4.4.4+dfsg-4) unstable; urgency=medium

  * removed calls to py3compile and py3clean from postinst script of the
    package expeyes-web. Closes: #910226

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 23 Oct 2018 11:53:32 +0200

expeyes (4.4.4+dfsg-3) unstable; urgency=medium

  * removed calls to py3compile and py3clean from postinst and prerm script.
    Closes: #910226

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 07 Oct 2018 09:56:04 +0200

expeyes (4.4.4+dfsg-2) unstable; urgency=medium

  * added conflicts for python3-expeyes (<< 4.3). Closes: #910226

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 05 Oct 2018 16:59:52 +0200

expeyes (4.4.4+dfsg-1) unstable; urgency=medium

  * fixed the postinst and prerm scripts for python3-expeyes, expeyes-web.
    Closes: #904514
  * upgraded to the last upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 08 Aug 2018 10:00:49 +0200

expeyes (4.4.3+dfsg-3) unstable; urgency=medium

  * promoted the recommendation python3-expeyes <- udev to a dependency.
    Closes: #904514

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 30 Jul 2018 05:03:44 +0200

expeyes (4.4.3+dfsg-2) unstable; urgency=medium

  * removed any dependency on python2
  * applied Boyuan Yang's patch. Closes: #904090
  * applied a patch from Ajith Kumar, which add examples for eyes17,
    in Python language.
  * added a build dependency on qt5-qmake
  * removed debug messages emitted by eyes17/main.py

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 Jul 2018 17:39:12 +0200

expeyes (4.4.3+dfsg-1) unstable; urgency=medium

  * added Frans Spiesschaert's nl.po file. Closes: #898869
  * new upstream release.
  * added the dependency eyes17 -> python3-pyqt5.qtwebkit, removed
    the dependency eyes17 -> python-qgis.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Jul 2018 14:17:26 +0200

expeyes (4.4.2+dfsg-1) unstable; urgency=medium

  * upgraded to upstream new version
  * applied the patch from Adriano Rafael. Closes: #903356
  * upgraded Standards-Version to 4.1.5
  * modified the way to install eyes17 documentation and help files
  * fixed lintian warnings/errors

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Jul 2018 13:32:47 +0200

expeyes (4.3.7+dfsg-2) unstable; urgency=medium

  * added debian/po/ru.po, thanks to Lev Lamberov.
    Closes: #898163

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 08 May 2018 19:28:34 +0200

expeyes (4.3.7+dfsg-1) unstable; urgency=medium

  * New upstream release: to fix an issue with file saving, due to
    changes of __builtin__ since python2
  * Upgraded Standards-Version: 4.1.4
  * added ExpEYES17/UserManual/fr/eyes17-a4.pdf in d/source/include-binaries
  * modified the installation rules for the PDF documents of eyes17

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 05 May 2018 12:12:17 +0200

expeyes (4.3.6+dfsg-6) unstable; urgency=medium

  * yet another modification of debian/rules, in order to prevent
    the shell command to return False.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jan 2018 19:04:02 +0100

expeyes (4.3.6+dfsg-5) unstable; urgency=medium

  * another modification of debian/rules, as probably compilations in
    the debian compile farm do not like some repeated actions.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jan 2018 14:15:29 +0100

expeyes (4.3.6+dfsg-4) unstable; urgency=medium

  * simplified debian/rules, to allow the package to be compiled on
    other architectures

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jan 2018 18:52:57 +0100

expeyes (4.3.6+dfsg-3) unstable; urgency=medium

  * downgraded Depends to Recommends: for python3-pyqt5.qtwebengine; this
    should not harm since this package interests only users with i386 or
    amd64 architectures, and that they use to get recommended packages.
    Then, it should prevent unsatifiable dependencies for other platforms.
  * upgraded Standards-Version: 4.1.3

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 13 Jan 2018 17:12:26 +0100

expeyes (4.3.6+dfsg-2) unstable; urgency=medium

  * fixed 99-phoenix.rules, thanks to Ajith Kumar's remarks.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 04 Jan 2018 12:44:35 +0100

expeyes (4.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release
  * modified the dependency chain: the recommendation of
    expeyes-doc-en|expeyes-doc comes now from the package expeyes
    rather from python-expeyes.
  * modified the set of files installed with eyes17, to include
    the user manual.
  * added expeyes/qtiplot_script.py in debian/ expeyes.install
  * fixed debian/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 04 Jan 2018 10:55:33 +0100

expeyes (4.3.5+dfsg-2) unstable; urgency=medium

  * added more dependencies for eyes17, thanks to Ajith's Kumar
    feedback.
  * remove the recommendation eyes17 -> expeyes-web
  * created a symlink /etc/udev/rules.d/99-phoenix.rules =>
    /lib/udev/rules.d/99-phoenix.rules in python-expeyes.postinst,
    checked that this symlink is removed by  by the postrm script.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 03 Jan 2018 22:41:27 +0100

expeyes (4.3.5+dfsg-1) unstable; urgency=medium

  * New upstream release
  * changed the Recommends relations, to make weak dependencies
    from expeyes to xmgrace, rather than from python-expeyes.
  * enforced the dependency python*-serial (>= 2.6)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Dec 2017 19:32:45 +0100

expeyes (4.3.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * removed the build-indep dependencies since the package keeps the
    PDF files for microhope alongside with sources
  * upgraded Standards-Version: 4.1.2; debhelper (>= 10)
  * modified bin/eyes17 to use python3 and Qt5 by default

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 09 Dec 2017 16:40:24 +0100

expeyes (4.3.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * signaled the license of eyes17/pythonSyntax.py, and rewritten
    debian/copyright to the new format
  * moved python*-pygrace from dependencies to recommendations.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Oct 2017 20:29:23 +0100

expeyes (4.3.2+dfsg-2) unstable; urgency=medium

  * added a dependency python-expeyes -> udev
  * modified the postinst file for python-expeyes to prevent piupart's
    failure (udev cannot be started in a chroot)

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 24 Oct 2017 18:06:29 +0200

expeyes (4.3.2+dfsg-1) unstable; urgency=medium

  * New upstream release, which adds more translations
  * removed unused dependencies on python*-usb: Closes: #773202
  * Keep pdf precompiled file in the source package (the PDF comes
    with its source in LyX format). Closes: #878751
  * added the German translation: Closes: #877323

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Oct 2017 19:56:07 +0200

expeyes (4.3.1+dfsg-1) unstable; urgency=medium

  * New upstream release, which add support for eyes17.
  * separated the generation of *-doc* packages: another
    source package will be created. Changed the dependencies accordingly.
  * added the "Package: eyes17" entry in debian/control
  * modified those .install files  and created .manpages ...
    - expeyes.install expeyes.manpages
    - eyes17.install eyes17.manpages
    - python-expeyes.install
  * removed an obsoleted part from python-expeyes.postinst
  * new .post* files: eyes17.postinst
  * new .pre* files: eyes17.prerm
  * changed slightly d/rules to take in account eyes17
  * removed obsolete debian patches
  * added pt.po given by traduz@debianpt.org. Closes: #877107
  * fixed get-newest-source.sh: the debian/ subdirectory must not be
    taken from "upstream". Other changes in the file were made to erase
    sourceless files in the directory ExpEYES17/Firmware/

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Sep 2017 11:54:33 +0200

expeyes (4.2.1+dfsg-4) unstable; urgency=medium

  * added an instruction to create a missing directory.
    Closes: #876536

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Sep 2017 15:06:46 +0200

expeyes (4.2.1+dfsg-3) unstable; urgency=medium

  * Modified the postinst routine for expeyes-web. Closes: #876124

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Sep 2017 18:09:32 +0200

expeyes (4.2.1+dfsg-2) unstable; urgency=medium

  * improved the integration of expeyes-web: added templates to
    configure the web server's base URL, the link to the school's Homepage.
  * translated the new debconf templates to French.
  * replaced an uglified JS file in the source by a symlink in the binary
    package expeyes-web, and wrote a lintian override.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Sep 2017 16:50:21 +0200

expeyes (4.2.1+dfsg-1) unstable; urgency=medium

  * fixed a message in logger.py
  * fixed an error with get_version()
  * modified eyesj.py to prevent extra newlines in data files and work with the
    new python-pygrace packages
  * made pygrace.grace() objects persistent in any program which uses them
  * added dependencies on versioned python{3?}-pygrace packages and
    build-dependencies on x11proto-randr-dev (>= 1.5.0)
  * fixed a deprecation warning in eyemath.py
  * fixed an indentation error in eyeplot.py, removed whitespaces in end
    of lines
  * reindented eyes.py, mca.py resistor-iv.py, freq-response.py and
    eyemath.py with spaces
  * separated rules for arch and indep targets
  * added a new file to save when a FFT is launched from croplus.py

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 Jun 2016 17:07:27 +0200

expeyes (4.1.1+dfsg-3) unstable; urgency=medium

  * fixed extra empty lines written in data files

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 22 Jun 2016 11:16:26 +0200

expeyes (4.1.1+dfsg-2) unstable; urgency=medium

  * changed the dependencies of expeyes, to avoid the dependencies
    on python:any and python3-any, which prevent the package to be
    accepted in testing.
  * fixed missing dependencies for expeyes-web

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 May 2016 08:09:32 +0200

expeyes (4.1.1+dfsg-1) unstable; urgency=medium

  * new upstream release, which adds a web interface
  * added a new output package named expeyes-web
  * added a recommends: clause : expeyes => expeyes-web
  * updated Standards-Version: 3.9.8
  * removed sourceless javascript files from the source
  * changed the download script to remove those files automatically in
    the future
  * modified index.php to use javascript files provided by packages.
  * patched the CGI scripts to work with Debian.
  * added dependencies on libjs-jquery and libjs-bootstrap
  * created a sample file to make a web service via a virtual host

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 May 2016 15:08:21 +0200

expeyes (4.0.0-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 23 Mar 2016 12:01:22 +0100

expeyes (3.4.2-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Jan 2016 19:02:35 +0100

expeyes (3.4.1-3) unstable; urgency=medium

  * changed the build-dependency on libc-avr to a versioned one,
    to ensure the existence of the file crtatmega32.o

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Dec 2015 16:39:26 +0100

expeyes (3.4.1-2) unstable; urgency=medium

  * added "DEB_BUILD_MAINT_OPTIONS=reproducible=-timeless" in d/rules
  * changed the dependency on qti-plot to a recommendation.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 14 Nov 2015 12:34:40 +0100

expeyes (3.4.1-1) unstable; urgency=medium

  * added dependencies for python3-based packages where dependencies on
    python packages were there, and ...
  * added a "Provides: python3-expeyes" clause, as the same code can work with
    both Python and Python3. Closes: #799203
  * removed the recommends clause on udev which is part of base packages now.
  * replaces the build-dependency on python3-dev by a dependency on
    python3-all. Closes: #799202
  * upgraded to the new upstream version, which adds support for 'srfechotime'
  * removed debian/*.menu since desktop files are installed to access
     applications

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Oct 2015 10:28:40 +0200

expeyes (3.4.0-1) unstable; urgency=medium

  * upgraded to the new version: this empowers the library with Python3 for
    expeyes-junior, and the new command "expeyes-junior" will use now Python3
    as engine.
  * updated Makefile, d/control, d/rules and d/python-expeyes.install to take
     python3 in account

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 Apr 2015 14:11:17 +0200

expeyes (3.3.2-1) unstable; urgency=medium

  * upgraded to the new version available in Github.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 Feb 2015 16:52:52 +0100

expeyes (3.3.1-2) UNRELEASED; urgency=medium

  * integerated a patch from Arun Jayan, to modify his presentation excerpt
    as author, and to fix the path to the bootloader.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Feb 2015 19:59:40 +0100

expeyes (3.3.1-1) unstable; urgency=medium

  * upgraded to the new version available in Github. Closes: #772362
  * updated Standards-Version to 3.9.7

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Dec 2014 20:21:22 +0100

expeyes (3.3.0-1) unstable; urgency=medium

  * upgraded to the new version available in Github
  * updated Standards-Version to 3.9.6

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 05 Nov 2014 17:48:03 +0100

expeyes (3.2.0-4) UNRELEASED; urgency=medium

  * included a new src/microhope dir sent by Arun Jayan; removed files
    which were redundant.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 05 Nov 2014 16:20:57 +0100

expeyes (3.2.0-3) unstable; urgency=medium

  * added gnome-human-icon-theme in Recommends:, this is necessary with
    Ubuntu.
  * modified the install script to put a copy of mh-logo.png into
    /usr/share/pixmaps

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 04 Nov 2014 19:14:09 +0100

expeyes (3.2.0-2) unstable; urgency=medium

  * applied a patch sent by Arun Jayan, which changes the default
    application linked by the file microhope-avr.desktop

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 03 Nov 2014 19:40:52 +0100

expeyes (3.2.0-1) unstable; urgency=medium

  * upgraded to the newest upstream version. Closes: #759955

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 07 Sep 2014 19:59:25 +0200

expeyes (3.1.10-2) unstable; urgency=medium

  * assigned the HOME environment var to some existing directory to prevent
    Lyx from using sbuild-nonexistent during sbuild runs. Closes: #759955

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 02 Sep 2014 23:29:12 +0200

expeyes (3.1.10-1) unstable; urgency=medium

  * modified mh-ide.py : added i18n and French l10n
  * removed obsoleted build-dependency on hardening-wrapper

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 29 Aug 2014 11:16:17 +0200

expeyes (3.1.9-1) UNRELEASED; urgency=medium

  * upgraded to the new upstream version, which modifies the program mh-ide.py
  * added dependencies from microhope to gnome-icon-theme, python-wxgtk3.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 29 Aug 2014 08:16:17 +0200

expeyes (3.1.8-3) unstable; urgency=medium

  * replaced the dependency on python-imaging-tk by
    python-pil.imagetk|python-imaging-tk as this package has become virtual.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Aug 2014 13:51:05 +0200

expeyes (3.1.8-2) unstable; urgency=medium

  * removed the straight dependency on python-pygrace; it is downgraded
    to a Suggests: clause. Closes: #742338
  * added a dependency on qtiplot
  * modified one file to use qtiplot as the plotting/analyzing utility

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Mar 2014 18:25:44 +0100

expeyes (3.1.8-1) unstable; urgency=medium

  * included the PDF files in the source package, still keeping their source
    and the Makefile to build them. Closes: #741794

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Mar 2014 00:26:10 +0100

expeyes (3.1.7-1) unstable; urgency=medium

  * upgraded to the newest upstream version.
    - better management of user files when there is no previous environment
      set
    - smoother access to the documentation
    - i18n and French l10n
  * versioned the dependency of exepeyes on python-expeyes

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 04 Mar 2014 18:43:19 +0100

expeyes (3.1.6-2) unstable; urgency=medium

  * given the management of /etc/udev/rules.d to dpkg. Closes: #739788

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Feb 2014 13:40:16 +0100

expeyes (3.1.6-1) unstable; urgency=medium

  * updated to the newest upstream version.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Feb 2014 17:56:04 +0100

expeyes (3.1.5-3) unstable; urgency=medium

  * removed the dependency on udev, replaced by a Recommends: clause;
    changed the postinstallation routine to make if succeed even if udev
    is not there. Closes: #737864.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 09 Feb 2014 16:03:46 +0100

expeyes (3.1.5-2) unstable; urgency=medium

  * added latest Ambar's improvements : some status will be displaied in
    the widow's title.
  * created a new mechanism to build PDF files once only : if a file
    keep-expeyes-pdf exists in the top dir, the are not erased between two
    builds. So I need to do one debuild, register binary files in
    d/sources/include-binaries and run pdebuild. Closes: #736118
    .
    This can be considered as a workaround: the build on i386 architecture
    with the same source package fails in Debian's compile farm and succeeds
    in Ubuntu's one.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 Jan 2014 22:56:26 +0100

expeyes (3.1.5-1) unstable; urgency=medium

  * upgraded to the new upstream release. This adds features to support
    ASM examples.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 Jan 2014 09:16:08 +0100

expeyes (3.1.4-2) unstable; urgency=medium

  * moved the examples of microhope and tuned create-microhope-env
    accordingly

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 17 Jan 2014 19:29:26 +0100

expeyes (3.1.4-1) unstable; urgency=medium

  * upgraded to the new upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 13 Jan 2014 20:47:07 +0100

expeyes (3.1.2-1) unstable; urgency=medium

  * upgraded to the latest upstream release, which adds:
    - Ambar Chatterjee's uhope.c program,
    - a manpage for the program uhope
  * changed the target for the package microhope: it must be "any" ; modified
    the dependencies.
  * added a build-dependency on hardening-wrapper, and "hardened" the Makefile
    for uhope
  * adjusted the file d/copyright
  * replaced microhope by uhope as the primary IDE.
  * replaced deprecated constructs for AVR-gcc
  * added build-dependencies on pkg-config and libgtk2.0-dev

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Jan 2014 23:53:40 +0100

expeyes (3.1.1-2) unstable; urgency=medium

  * applied some fixes made available by Ajith Kumar to the User Manual
    for MicroHope.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 06 Jan 2014 11:35:52 +0100

expeyes (3.1.1-1) unstable; urgency=medium

  * Upgraded to the newest upstream version. This fixes many issues like
    errors in one source files and sourceless binaries coming with the
    package.
  * Simplified the postinst/postrm scripts

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Jan 2014 17:12:25 +0100

expeyes (3.1.0-1) unstable; urgency=medium

  * upgraded to the newest upstream version. This provides a new set of
    commands, for the program "microhope"
  * added the binary package "microhope" to the list of packages defined
    in debian/control. Microhope depends on the package "expeyes", due to
    the necessary configuration for udev, which expeyes provides upon
    post-installation.
  * added a command "create-microhope-env" which provides microhope example
    files and libraries to the end user in her own space, and its manpage.
  * added a command "microhope" to launch the IDE, and its manpage.
  * added a command "microhope-doc" to browse the documentation, and
    its manpage.
  * updated the desktop files to take in account the new commands
  * upgraded Standards-Version to 3.9.5
  * internationalized and localized the IDE for French language.
  * added an "About" section in the IDE's menus
  * added a logo file mh-logo.svg and its export to a pixmap, adjusted the file
    debian/source/include-binaries to mention the pixmap
  * added a build-dependency: texlive-generic-recommended

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Jan 2014 12:03:23 +0100

expeyes (3.0.5-2) unstable; urgency=low

  * checked that the package can be built in a fresh Sid chroot, with the
    utility pdebuild. Closes: #728635
  * fixed errors in an application used to monitor a pendulum's dynamic.
  * improved this application, so it autodetects the begin of launching
    of a pendulum and autostarts.
  * fixed an error in eyesmath.py which prevented sometimes a fit of
    a damped sinusoide to succeed.
  * added an option in the fit_dsine function to allow time data to be
    in seconds rather than in milliseconds.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 18 Nov 2013 14:54:51 +0100

expeyes (3.0.5-1) unstable; urgency=low

  * Upgraded to the newest version, which provides programmer's manual
  * Changed the watch file to stick to github's data, added a script
    debian/get-newest-source.sh to automate updates (just use uscan)
  * Upgraded Standards-Version to 3.9.4

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Oct 2013 15:10:17 +0200

expeyes (3.0.4-1) unstable; urgency=low

  * merged abdul's contribution at github; this adds a compatibility
    with MAC OSX.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 06 Feb 2013 18:03:17 +0100

expeyes (3.0.3-1) unstable; urgency=low

  * added a new device description to input into rules.d for udev, by the
    means of debian/postinst
  * fixed a few double translations in python source files.
  * included updates from Ajith Kumar in eyes/explore.py,
    eyes-junior/ac-circuit.py, eyes-junior/calibrate.py,
    eyes-junior/croplus.py, eyes-junior/transistor.py
  * added the file nuclear-icon.png given by Ajith Kumar and mofified the
    install script accordingly
  * added the desktop file Phoenix-ASM.desktop and updated the install script
    accordingly

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Dec 2012 14:05:47 +0100

expeyes (3.0.2-1) unstable; urgency=low

  * included new upstream code.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 10 Nov 2012 19:19:22 +0100

expeyes (3.0.1-2) unstable; urgency=low

  * added verifications of the existence of /etc/ini.d/udev in postinst
    and postrm scripts. Closes: #691123
  * moved a few build-dependencies out of build-depends-indep.
    Closes: #691045

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 23 Oct 2012 12:13:03 +0200

expeyes (3.0.1-1) unstable; urgency=low

  * removed the creation of $(DESTDIR) from Makefile. Either we use
    Debian/ubuntu, and this line is useless, or we do not use them,
    and this line is useless too, since $(DESTDIR) is a void string.
  * made libej-dev arch:any since it contains the architecture-specific
    file libej.a. Thank you Luca Flavigna for the explanation.
  * upgraded to the new upstream version. This removes one useless line
    from Makefile, and adds a new feature for users: easy measurement of
    resistances.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 23 Sep 2012 14:54:34 +0200

expeyes (3.0.0-2) unstable; urgency=low

  * fixed a small issue with the input capacitance, following a hint from
    Ajith Kumar. The modification is in the file expeyes/eyesj.py

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 20 Sep 2012 19:14:00 +0200

expeyes (3.0.0-1) unstable; urgency=low

  * fixed packaging issues: assigned the static library to the -dev
    package and removed the .la file.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 08 Sep 2012 11:30:54 +0200

expeyes (2.9.1-1) unstable; urgency=low

  * changed a few pics, which were sent by Ajith Kumar
  * integrated all previous patches in the source package, synced with
    github's repository

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 06 Sep 2012 19:39:00 +0200

expeyes (2.9.0-3) unstable; urgency=low

  * put desktop files and icons in the right binary package for documentation,
    which implies the creation of the package expeyes-doc-common as a
    dependency for every package providing expeyes-doc
  * created a command and its manpage to launch the viewer with user manuals
  * fixed a bug which precluded the installation of fr-eyesj.pdf
  * modified X-Python-Version: downgraded it to Python 2.5 as every Python
    source should be valid for Python2.5

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 28 Aug 2012 09:28:01 +0200

expeyes (2.9.0-2) unstable; urgency=low

  * added desktop files and icons for the documentation
  * added Ajith Kumar's fix for a divide by zero error in eyesj.py
  * modified the Makefile to let it run even if the doc directory is missing
  * fixed the Makefile to let it compile files differently for Python in
    debian and non-debian environments

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 20 Aug 2012 16:34:45 +0200

expeyes (2.9.0-1) unstable; urgency=low

  * upgraded to the newest upstream version. This adds support for
    expeyes-junior boxes, in Python and C language.
  * defined new binary packages: expeyes-clib, a collection of short
    programs written in C language based on libej0; libej0, a C library
    to drive expeyes-junior, and libej-dev which provides development
    files.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 05 Aug 2012 19:49:52 +0200

expeyes (2.0.0-5) unstable; urgency=low

  * modified postrm to purge the file /etc/udev/rules.d/99-phoenix.rules
    Closes: #681754
  * updated Standards-Version, and debhelper version dependency
  * added one more file to delete for the clean target in rules

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 17 Jul 2012 13:50:10 +0200

expeyes (2.0.0-4) unstable; urgency=low

  * Modified postinst to fix a problem with permissions, thanks to
    Ajith Kumar's e-mail.

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 13 Jul 2012 19:47:50 +0200

expeyes (2.0.0-3) unstable; urgency=low

  * Made the modification kindly suggested by Johann Felix Soden,
    Closes: #669264
  * modified slightly fr.po

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 18 Apr 2012 17:22:57 +0000

expeyes (2.0.0-2) unstable; urgency=low

  * fixed the problem with restarting udev. Closes: #659779

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 14 Feb 2012 19:16:58 +0000

expeyes (2.0.0-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * refreshed the i18n patch
  * internationalized two new files.
  * imported the new French user manual from
    http://scideralle-hosting.citic74.net/uici/index.php/ExpEYES
    with the halp of uicilibris; modified the Makefile for its processing.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 06 Nov 2011 17:23:28 +0100

expeyes (1.0.3-6) unstable; urgency=low

  * applied Matthias Klose's patch. Closes: #641962
    the details of this patch are:
    - Do not build-depend on python-all when not building for all python
      versions. LP: #831395.
    - Do not hard-code python2.6
    - Call dh --with python2 (already fixed in 1.0.3-5)

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 18 Sep 2011 14:03:22 +0200

expeyes (1.0.3-5) unstable; urgency=low

  * rescaled pics/eyes.png and fixed its encoding: it was a JPEG file
  * use --with python2 in debian/rules

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 10 Sep 2011 23:46:17 +0200

expeyes (1.0.3-4) unstable; urgency=low

  * added dependencies: python-serial, python-usb, tix and a few recommends:
  * forced the install of python files in /usr, to fix the bug with
    dh_usrlocal. Closes: #633550

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 15 Jul 2011 15:22:43 +0200

expeyes (1.0.3-3) unstable; urgency=low

  * fixed inconsistent links to images in the French doc.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 12 May 2011 23:23:52 +0200

expeyes (1.0.3-2) unstable; urgency=low

  * added expeyes-doc (<< 1.0.3) in Conflicts:, in order to make
    expeyes-doc-xx installable.
    Closes: #625472, #625271
  * made imagemagick a build-dependency.
    Closes: #625185

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 04 May 2011 07:22:18 +0200

expeyes (1.0.3-1) unstable; urgency=low

  * upgraded the English user manual from the new source version at
    http://expeyes.in/sites/default/files/eyedocs.tgz
  * updated the French version of the manual.
  * fixed some typos in the English version of the manual

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 02 May 2011 01:26:19 +0200

expeyes (1.0.2-1) unstable; urgency=low

  * upgraded to new upstream contents: downloaded
    http://expeyes.in/sites/default/files/debs/expeyes-1.0.2.tgz
    and moved the directory EYES into expeyes-1.0.2; also merged
    the source of the English manual into the upstream source.
    The binary file firmware/eyes.hex has been removed from the source package,
    it is rebuilt at compile time.
  * added the build-dependencies for firmware/eyes.hex
  * targetted a new binary package to contain the firmware development stuff
  * added clean, build and install rules for the subdirectory firmware/
  * split the document manuals into different localized packages, each one
    providing expeyes-doc
  * made the Makefiles less verbose during the compilation of user manuals.
  * fixed a few phrases in the French user manual
  * updated the build-dependencies for the user manuals
  * fixed the watch file
  * upgraded the English user manual from the new source version at
    http://expeyes.in/sites/default/files/eyedocs.tgz
  * updated the French version of the manual.

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 01 May 2011 20:04:28 +0200

expeyes (1.0.1-2) unstable; urgency=low

  * modified the manual source to enforce the usage of lmodern fonts

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 20 Apr 2011 01:26:38 +0200

expeyes (1.0.1-1) unstable; urgency=low

  * Upgraded to the new upstream release which has been communicated
    by a private e-mail
  * removed the files *grace* from the upstream package since they should
    belong to the package python-pygrace, which is already part of Debian.
  * added the support for i18n
  * localized the programs for French
  * created a script to localize the documentation in synchronisation
    with the programs

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 19 Apr 2011 23:12:22 +0200

expeyes (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #623022)
  * stripped out *.pyc files from the source archive, renamed the main
    directory of this archive to exepeyes-1.0.0, removed files which are
    part of the package python-pygrace
  * modified most of the python files, to use a common python library
    named expeyes and its submodules eyes, eyemath, eyeplot
  * added a command to launch the explorer, with the name "expeyes", and
    a short manpage for it.
  * scheduled the creation of the file /lib/udev/rules.d/99-phoenix.rules
  * added an icon and a desktop entry
  * translated the user manual to French

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 19 Apr 2011 02:25:09 +0200
